#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.1.8
visibility:           public
id:                   primitive-extras-0.10.1.8-AjVfpnAPu3kJQIJcFvDKHi
key:                  primitive-extras-0.10.1.8-AjVfpnAPu3kJQIJcFvDKHi
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Metrix.AI Tech Team <tech@metrix.ai>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/metrix-ai/primitive-extras
synopsis:             Extras for the "primitive" library
category:             Primitive
abi:                  947aa5befe984734b5f2fdd967cdcfc0
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/primitive-extras-0.10.1.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.1.8-AjVfpnAPu3kJQIJcFvDKHi
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    cereal-0.5.8.3-KCibhvvTsuv86wVgcPkD6
    deferred-folds-0.9.18.5-6dfJymnoQdBJcZytWOUpi0
    focus-1.0.3.2-GZ0g4CskZI2Ijpat4sniOo
    foldl-1.4.15-AcQJXAfriuGHGU6hmdCnxL
    list-t-1.0.5.4-FzQGGrmGxKTAeABCEnVrkM
    primitive-0.7.4.0-vwDq7840sM3xgs4vWuDTK
    primitive-unlifted-0.1.3.1-7lfiD3Vln3O9vscDQhtdnD
    profunctors-5.6.2-AerpQp5ROHOHL7I8adkPRJ
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

